<template>
  <q-list separator>
    <FertilizationPlanDisplaySettingsListItem :fertilization-plans="fertilizationPlans" />

    <q-separator />

    <template
      v-for="fertilizationPlan in fertilizationPlans"
      :key="`fertilization-plan-${fertilizationPlan.id}`"
    >
      <FertilizationPlanListItem
        :fertilization-plan="fertilizationPlan"
      />
    </template>
  </q-list>
</template>

<script>
import FertilizationPlanDisplaySettingsListItem from 'src/pages/fieldbook/fertilization/components/FertilizationPlanDisplaySettingsListItem'
import FertilizationPlanListItem from 'src/pages/fieldbook/fertilization/components/FertilizationPlanListItem'

export default {
  name: 'FertilizationList',
  components: {
    FertilizationPlanDisplaySettingsListItem,
    FertilizationPlanListItem
  },
  props: {
    fertilizationPlans: {
      type: Array,
      required: true
    }
  }
}
</script>
